/*=== CN[h ===*/
#include "iodefine.h"

/*=== O[oϐ ===*/
extern int g_led_onoff;		//LED_tO 0=OFF 1=ON

/*=== vg^Cv錾 ===*/
void led_on();				//LED ON@֐
void led_off();				//LED OFF@֐

/*=== CMT0֐ ===*/
void io_init_cmt0(void)
{
    /*--- FRQCRݒ NbN I:B:P = 144MHz:48MHz:24MHz ---*/
	CPG.FRQCR.WORD = 0x1104;
	
    /*--- STBCR7ݒ CMTNbNJn ---*/
    CPG.STBCR7.BIT.MSTP72 = 0;
	
    /*--- CMSTRݒ CMCNT0JEg~ ---*/
    CMT.CMSTR.BIT.STR0 = 0;

	/*--- CMCNT0ݒ 0NA ---*/
    CMT.CMCNT0.WORD = 0x0000;

	/*--- CMCSR0ݒ CMI NbNݒ[P/512] ---*/
    CMT.CMCSR0.WORD = 0x0043;

	/*--- CMCOR0ݒ ---*/
    CMT.CMCOR0.WORD = 0x8954;

    /*--- CMSTRݒ CMCNT0JEgJn ---*/
    CMT.CMSTR.BIT.STR0 = 0x1;
}

/*=== CMI0֐ ===*/
void int_cmt_cmi0(void)
{
	/*--- CMF 0NA ---*/
	CMT.CMCSR0.BIT.CMF = 0;
	
	/*--- LED] ---*/
	g_led_onoff ^= 1;
	if(g_led_onoff == 0){
		led_on();
	}
	else{
		led_off();
	}
}
